### Function

# Gcr trust_add_pinned_certificate

#### Declaration [src]

    gboolean
    gcr_trust_add_pinned_certificate (
      GcrCertificate* certificate,
      const gchar* purpose,
      const gchar* peer,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Add a pinned `certificate` for connections to `peer` for `purpose`. A pinned certificate overrides all other certificate verification and should be used with care.

If the same pinned certificate already exists, then this operation does not add another, and succeeds without error.

This call may block, see `gcr_trust_add_pinned_certificate_async()` for the non-blocking version.

#### Parameters

`certificate` | `GcrCertificate`
| A `GcrCertificate`.
| The data is owned by the caller of the function.
`purpose` | `const gchar*`
| The purpose string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`peer` | `const gchar*`
| The peer for this pinned certificate.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the pinned certificate is recorded successfully.